.p-pattern01 {
	margin-top: var(--section-gap-sm);
	margin-bottom: var(--section-gap-md);
}

.p-pattern01__list {
	--column-count: 2;
	--column-gap: 1.65rem;
	--row-gap: 1.65rem;
	text-align: center;
}

@media (min-width: 1025px) {
	.p-pattern01__list {
		padding-inline: 3rem;
	}
}

@media (min-width: 526px) and (max-width: 1024px) {
	.p-pattern01__list {
		--column-count: 2;
	}
}

@media (max-width: 525px) {
	.p-pattern01__list {
		--column-count: 1;
		--column-gap: 1.25rem;
		--row-gap: 1.25rem;
		font-size: var(--font-size-sm);
	}
}

.p-pattern01__link__inner {
	justify-content: center;
}

.p-pattern02 {
	margin-block: var(--section-gap-lg);
}

.p-pattern02__heading {
	padding-bottom: 1em;
	margin-bottom: var(--section-gap-xs);
	font-size: var(--font-size-xxl);
}

.p-pattern02__heading::after {
	width: 100%;
}

.p-pattern02__list {
	padding: 1.75rem 2.5rem;
	margin-bottom: 1.5rem;
	font-family: var(--font-serif);
	font-size: var(--font-size-lg);
	color: var(--color-text-contrast);
	background-color: var(--color-primary);
	border-radius: var(--radius-lg);
}

.p-pattern02__column {
	padding: 4rem 6rem;
	margin-top: 3rem;
	background: url(../../images/top/info_bg_pc.jpg);
	border-radius: var(--radius-lg);
}

.p-pattern03 {
	margin-block: var(--section-gap-lg);
}

.p-pattern03__heading {
	--border-width: 0;
	margin-bottom: var(--section-gap-xs);
}

.p-pattern03-02 {
	margin-block: var(--section-gap-md);
}

.p-pattern03-02__heading {
	margin-bottom: var(--section-gap-xs);
}

.p-pattern04 {
	margin-block: var(--section-gap-md);
}

.p-pattern04__heading {
	margin-bottom: var(--section-gap-xs);
}

.p-pattern05 {
	margin-block: var(--section-gap-lg);
}

.p-pattern05__heading {
	margin-bottom: var(--section-gap-xs);
}

.p-pattern05__list {
	display: grid;
	row-gap: 3.5rem;
	counter-reset: step-list;
}

.p-pattern05__item {
	position: relative;
	z-index: 0;
	display: flex;
	flex-direction: column;
	counter-increment: step-list;
}

.p-pattern05__item::before {
	order: -2;
	margin-bottom: -0.2em;
	margin-left: 0.5em;
	font-family: var(--font-heading);
	font-size: var(--font-size-lg);
	line-height: 1;
	color: var(--color-text-contrast);
	content: "STEP";
}

.p-pattern05__item::after {
	position: relative;
	z-index: 1;
	order: -1;
	margin-bottom: -0.18em;
	font-family: var(--font-america);
	font-size: 8.5rem;
	line-height: 1;
	color: var(--color-primary);
	content: counter(step-list, decimal-leading-zero);
}

@media (max-width: 1024px) {
	.p-pattern05__item::after {
		font-size: 7.5rem;
	}
}

.p-pattern06 {
	margin-block: var(--section-gap-md);
}

.p-pattern06__heading {
	--border-width: 0;
	margin-bottom: var(--section-gap-xs);
	color: var(--color-text-contrast);
	background-color: var(--color-primary);
}

.p-pattern06__table {
	padding-bottom: 1rem;
}

.p-pattern06__table table {
	min-width: 100%;
	height: 100%;
}

.p-pattern06__table th,
.p-pattern06__table td {
	padding: 1.5rem 2rem;
}

.p-pattern06__table th:is(tbody *),
.p-pattern06__table td:is(tbody *) {
	border-top: 1px solid rgb(var(--color-text-base-rgb)/25%);
}

.p-pattern06__table th {
	height: 100%;
	font-family: var(--font-serif);
	font-size: var(--font-size-lg);
	font-weight: normal;
	color: var(--color-text-primary);
	text-align: center;
	white-space: nowrap;
	vertical-align: middle;
}

.p-pattern06__table th:is(tbody :first-child) {
	padding-left: 0;
}

.p-pattern06__table th > span {
	display: flex;
	align-items: center;
	justify-content: center;
	height: 100%;
	min-height: 3em;
	padding: 1em;
	background-color: var(--color-bg-secondary);
	border-radius: var(--infinity);
}

.p-pattern06__table th > span:is(tbody *) {
	min-height: 10rem;
}

.p-pattern06__table td {
	min-width: min(30rem, 85 * var(--vw));
}

.p-pattern06__price-table {
	display: grid;
	row-gap: var(--section-gap-xs);
	margin-top: var(--section-gap-md);
}

.p-price {
	padding-bottom: 1.5rem;
	border-bottom: 1px solid rgb(var(--color-text-base-rgb)/25%);
}

@media (min-width: 1025px) {
	.p-price {
		padding-right: 3rem;
		padding-left: 4rem;
	}
}

.p-price__main {
	display: flex;
	column-gap: 5rem;
	margin-bottom: 2rem;
}

@media (max-width: 1024px) {
	.p-price__main {
		display: grid;
		row-gap: 4rem;
	}
}

@media (min-width: 1025px) {
	.p-price__header {
		display: grid;
		flex-basis: 35%;
		grid-template-areas: "...""heading""note";
		grid-template-rows: 1fr auto 1fr;
	}
}

.p-price__heading {
	grid-area: heading;
	height: -moz-fit-content;
	height: fit-content;
	font-family: var(--font-serif);
	font-size: var(--font-size-xl);
	color: var(--color-text-primary);
}

.p-price__note {
	display: block;
	grid-area: note;
	margin-top: 0.35rem;
	font-size: var(--font-size-sm);
}

.p-price__list {
	display: grid;
	flex: 1;
	row-gap: 3.5rem;
	padding-right: 1rem;
	line-height: 1.65;
}

.p-price__item {
	display: flex;
	column-gap: 10%;
	align-items: center;
	justify-content: space-between;
}

.p-price__name {
	font-weight: normal;
}

.p-price__price {
	flex-shrink: 0;
	font-family: var(--font-serif);
	font-size: var(--font-size-lg);
	color: var(--color-text-primary);
	text-align: right;
	white-space: nowrap;
}

.p-price__footer {
	display: block;
	margin-top: 3rem;
	font-size: var(--font-size-sm);
	text-align: right;
}

.p-pattern07 {
	margin-block: var(--section-gap-lg);
}

.p-pattern07__heading {
	margin-bottom: var(--section-gap-xs);
	font-family: var(--font-heading);
	font-size: var(--font-size-xxl);
	color: var(--color-text-primary);
}

.p-pattern07__list {
	display: grid;
	row-gap: var(--section-gap-sm);
}

@container image-section (width > 60rem) {
	.p-pattern07 .l-image-section__main {
		padding-block: 2.25rem 2.5rem;
		border-block: 1px solid rgb(var(--color-text-base-rgb)/50%);
	}
}

.p-pattern08 {
	margin-block: var(--section-gap-lg);
}

.p-pattern08__heading {
	padding-bottom: 0.75em;
	margin-bottom: var(--section-gap-sm);
	font-family: var(--font-heading);
	font-size: var(--font-size-xxl);
	color: var(--color-text-primary);
}

.p-pattern08__list {
	--column-count: 3;
	--column-gap: 5rem;
	--row-gap: var(--section-gap-sm);
}

@media (max-width: 1024px) {
	.p-pattern08__list {
		--column-count: 2;
		--column-gap: 3.5rem;
	}
}

@media (max-width: 525px) {
	.p-pattern08__list {
		--column-count: 1;
	}
}

.p-pattern08__item__body {
	padding-inline: 0.25em;
	margin-top: 1.5rem;
}

.p-pattern08__item__heading {
	margin-bottom: 0.75rem;
	font-family: var(--font-heading);
	font-size: var(--font-size-lg);
	line-height: 1.5;
	color: var(--color-text-primary);
	text-align: center;
}

@media (max-width: 525px) {
	.p-pattern08__item__heading {
		font-size: var(--font-size-xl);
	}
}

.p-pattern09 {
	margin-block: var(--section-gap-md);
}

.p-pattern09__heading {
	padding-bottom: 0;
	margin-bottom: var(--section-gap-sm);
	font-size: var(--font-size-xxl);
}

.p-pattern09__heading::after {
	content: none;
}

.p-pattern10 {
	margin-block: var(--section-gap-md);
}

.p-pattern11 {
	margin-block: var(--section-gap-md);
}

.p-pattern11__heading {
	--border-width: 0;
	padding-left: calc(50 * var(--vw) - 50%);
	margin-right: 20rem;
	margin-bottom: var(--section-gap-xs);
	margin-left: calc(50% - 50 * var(--vw));
	text-align: left;
	background-color: var(--color-bg-primary);
	border-top-left-radius: 0;
	border-bottom-left-radius: 0;
}

@media (max-width: 1024px) {
	.p-pattern11__heading {
		margin-right: 5rem;
	}
}

@media (max-width: 525px) {
	.p-pattern11__heading {
		margin-right: 0;
	}
}

@media (min-width: 1025px) {
	.p-pattern11__intro {
		max-width: 80rem;
		margin-inline: auto;
	}
}

.p-pattern11__list {
	--row-gap: 1.5em;
	--prefix-color: var(--color-text-primary);
	margin-top: var(--section-gap-xs);
	font-size: var(--font-size-lg);
	font-weight: 550;
}

@media (min-width: 1025px) {
	.p-pattern11__list {
		max-width: 60rem;
		margin-inline: auto;
	}
}

.p-pattern12 {
	margin-block: var(--section-gap-md);
}

.p-pattern12__heading {
	--border-width: 0.8rem;
	position: relative;
	padding-left: calc(var(--border-width) + 0.85em);
}

.p-pattern12__heading::before {
	position: absolute;
	top: 0.175lh;
	bottom: 0.1lh;
	left: 0;
	width: var(--border-width);
	content: "";
	background-color: currentcolor;
}

.p-pattern12__list {
	--prefix-color: var(--color-text-primary);
}

.p-pattern13 {
	margin-block: var(--section-gap-md);
}

.p-pattern13__heading {
	--circle-size: 1.1em;
	position: relative;
	padding-left: calc(var(--circle-size) + 0.65em);
}

.p-pattern13__heading::before {
	position: absolute;
	top: 0.54lh;
	left: 0;
	width: var(--circle-size);
	aspect-ratio: 1/1;
	content: "";
	background-color: currentcolor;
	border-radius: 50%;
	translate: 0 -50%;
}

.p-pattern13__list {
	--prefix-color: var(--color-text-primary);
}
